import { IonButton, IonInput, IonItem, IonLabel } from "@ionic/react";
import { useReducer } from "react";
export const LoginWithOTP = () => {
  const [isOtpGenerated, generateOtp] = useReducer(() => true, false);
  return <>
      <IonItem>
        <IonLabel position="floating">
          Phone Number
        </IonLabel>
        <IonInput disabled={isOtpGenerated} />
      </IonItem>
      {isOtpGenerated ? <>
          <br />
          <IonItem>
            <IonLabel position="floating">
              OTP
            </IonLabel>
            <IonInput type="password" />
          </IonItem>
          <div style={{
        textAlign: 'center',
        marginTop: '20px'
      }}>
            <IonButton fill="solid" size="default" style={{
          width: "30%"
        }}>Login</IonButton>
          </div>
        </> : <div style={{
      textAlign: 'center',
      marginTop: '20px'
    }}>
          <IonButton fill="solid" size="default" style={{
        width: "30%"
      }} onClick={generateOtp}>
            Generate OTP
          </IonButton>
        </div>}
    </>;
};